{
    attributes = (
        {
            columnName = CPT_CHARTE; 
            externalType = CHAR; 
            name = cptCharte; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = CPT_CONNEXION; 
            externalType = CHAR; 
            name = cptConnexion; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = CPT_DOMAINE; 
            externalType = VARCHAR2; 
            name = cptDomaine; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            columnName = CPT_EMAIL; 
            externalType = VARCHAR2; 
            name = cptEmail; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            columnName = CPT_GID; 
            externalType = NUMBER; 
            name = cptGid; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = CPT_LOGIN; 
            externalType = VARCHAR2; 
            name = cptLogin; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = CPT_ORDRE; 
            externalType = NUMBER; 
            name = cptOrdre; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = CPT_PASSWD; 
            externalType = VARCHAR2; 
            name = cptPasswd; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = CPT_PASSWD_CLAIR; 
            externalType = VARCHAR2; 
            name = cptPasswdClair; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = CPT_UID; 
            externalType = NUMBER; 
            name = cptUid; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = CPT_UID_GID; 
            externalType = NUMBER; 
            name = cptUidGid; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = CPT_VLAN; 
            externalType = VARCHAR2; 
            name = cptVlan; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            definition = toVlans.llVlan; 
            externalType = VARCHAR2; 
            name = llVlan; 
            valueClassName = NSString; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (
        cptOrdre, 
        cptUidGid, 
        cptLogin, 
        cptPasswd, 
        cptConnexion, 
        cptVlan, 
        cptEmail, 
        cptDomaine, 
        cptCharte, 
        dCreation, 
        dModification, 
        llVlan, 
        cptPasswdClair, 
        cptUid, 
        cptGid
    ); 
    className = EOCompte; 
    classProperties = (
        cptUidGid, 
        cptLogin, 
        cptPasswd, 
        cptConnexion, 
        cptVlan, 
        cptEmail, 
        cptDomaine, 
        cptCharte, 
        toVlans, 
        toCompteSuite, 
        dCreation, 
        dModification, 
        cptOrdre, 
        llVlan, 
        toCompteValidite, 
        cptPasswdClair, 
        cptUid, 
        cptGid
    ); 
    externalName = COMPTE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            cptOrdre, 
            cptUidGid, 
            cptLogin, 
            cptPasswd, 
            cptConnexion, 
            cptVlan, 
            cptEmail, 
            cptDomaine, 
            cptCharte, 
            toVlans, 
            llVlan, 
            dCreation, 
            dModification, 
            toVlans_llVlan, 
            cptPasswd1, 
            cptPasswdClair, 
            cptUidGid1, 
            cptUid, 
            cptUid1, 
            cptGid
        ); 
    }; 
    name = Compte; 
    primaryKeyAttributes = (cptOrdre); 
    relationships = (
        {
            destination = CompteSuite; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = toCompteSuite; 
            ownsDestination = Y; 
            propagatesPrimaryKey = Y; 
        }, 
        {
            destination = CompteValidite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = toCompteValidite; 
        }, 
        {
            destination = Vlans; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cVlan; sourceAttribute = cptVlan; }); 
            name = toVlans; 
        }
    ); 
}
